Bug 132027 - Autocomplete works only after 3 letters are typed
Autocomplete works only after 3 letters are typed
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-07 17:59 EDT by Edward Rousseau
Modified: 2015-04-12 19:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 09:31:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Rousseau 2004-09-07 17:59:42 EDT
Description of problem:
At present autocomplete only works after 3 letters are typed. It
ideally should work with any amount of letters, paring down the list
of possibilities as more letters are typed. Less optimally, it should
at least support 2 letter matches as a number of last names are 2
letters (Ng, Li and so on) as well as match 2 letter nicknames in the
contacts (JR for Johnathan.Rothberg@gmail.com if "JR" is the nickname
for this contact).



Version-Release number of selected component (if applicable):

1.5.94.1

How reproducible:
Always

Steps to Reproduce:
1. Enter contacts with 2 letter last name or nickname.
2. Turn on autocomplete for the address book the names are in.
3. Type in the 2 letters for the lastname or nick.
  
Actual results:
No autocompletion happens.


Expected results:
Names autocomplete.

Additional info:
Comment 1 Dave Malcolm 2004-09-15 18:52:14 EDT
There's a GConf key
"/apps/evolution/addressbook/completion/minimum_query_length" which
defaults to 3; you can use gconf-editor to edit it to 2 if you like.

So should we change the default?  My concern at this stage is that
it's a fiddly piece of code that has seen extensive tuning by upstream

(btw, try typing "why?" or "easter-egg?" into the field; Also, if you
set set env var: EVO_DEBUG_SELECT_NAMES_COMPLETION 
before launching evolution, it will write a debug log to
/tmp/evo-debug-select-names-completion)


Comment 2 Matthew Miller 2006-07-10 18:16:45 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-30 09:31:18 EST
Closing per lack of response to previous request for information.
Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.